/*
 * @Author: zc
 * @description 随手拍-配置管理
 */
import request from '@/utils/request';
/**
 * @description 获取行业列表
 * @param {object} params
 */
export const getIndustryList = (params?: object) => {
	return request({
		url: `/api/v1/Industry/industry`,
		method: 'get',
		params
	});
}
/**
 * @description 新增行业 修改该行业  基础信息
 * @param {object} params
 */
export const baseIndustry = (params?: object) => {
	return request({
		url: '/api/v1/Industry/basedata',
		method: 'get',
		params,
	});
}
/**
 * @description 新增行业
 * @param {object} data
 */
export const addIndustry = (data: object) => {
	return request({
		url: '/api/v1/Industry',
		method: 'post',
		data,
	});
}
/**
 * @description 获取行业详情
 * @param {string} id
 */
export const getIndustryDetail = (id: string) => {
	return request({
		url: `/api/v1/Industry/${id}`,
		method: 'get',
	});
}
/**
 * @description 修改行业
 * @param {object} data
 */
export const editIndustry = (data: object) => {
	return request({
		url: '/api/v1/Industry',
		method: 'put',
		data,
	});
}
/**
 * @description 删除行业
 * @param {object} data
 */
export const delIndustry = (data: object) => {
	return request({
		url: '/api/v1/Industry',
		method: 'delete',
		data,
	});
}
/**
 * @description 获取线索列表
 * @param {object} params
 */
export const getClueList = (params?: object) => {
	return request({
		url: '/api/v1/Industry/case',
		method: 'get',
		params,
	});
}
/**
 * @description 获取线索新增基础信息
 * @param {object} params
 */
export const baseClue = (params?: object) => {
	return request({
		url: '/api/v1/Industry/case/database',
		method: 'get',
		params,
	});
}
/**
 * @description 新增线索
 * @param {object} data
 */
export const addClue = (data: object) => {
	return request({
		url: '/api/v1/Industry/case',
		method: 'post',
		data,
	});
}
/**
 * @description 获取线索详情
 * @param {string} id
 */
export const getClueDetail = (id: string) => {
	return request({
		url: `/api/v1/Industry/case/${id}`,
		method: 'get',
	});
}
/**
 * @description 更新线索
 * @param {object} data
 */
export const editClue = (data: object) => {
	return request({
		url: '/api/v1/Industry/case',
		method: 'put',
		data,
	});
}